NYEarthling Absent Member.
Absent Member.
1043 views

Backup trouble - tsafs won't load

Hi all,

GroupWise 2014 R2 on SLES 11 64bit, OES 2015. This isn't the primary GW server, it runs the GWIA and WebAccess but no post offices. Lately we've been getting the error "Unable to dynamically open module library libtsafs.so" during Commvault backups, but in theory 2014 doesn't use that file. Commvault is doing the Linux directories as usual, it's just the NSS Vol1 that it can't do. (Temporarily I have SyncBack backing up the (tiny) Vol1 running from a Windows workstation) Tried TIDs 7005116 and 7010095.

------------------------------
TID 7005116 results:

smsconfig -l tsafs ----> Unable to dynamically open module library libtsafs.so

smsconfig -l tsands ----> TSA 'tsands' already loaded

smsconfig -t ----> The loaded TSAs are: tsands

----------------------------
TID 7010095 results:

smsconfig -l tsafs --EnableGW ----> Unable to dynamically open module library libtsafs.so


Any suggestions would be appreciated.
Labels (1)
0 Likes
3 Replies
Knowledge Partner
Knowledge Partner

Re: Backup trouble - tsafs won't load

We're hopefully talking 'bout OES2015SP1+, but anyway: i'd start with verifying the novell-sms-xxx RPMs, especially novell-sms-1.xxxxx, which provides the needed libs in /opt/novell/lib.
And which "2014" are you refering to in "but in theory 2014 doesn't use that file"? GroupWise? Commvault?
0 Likes
NYEarthling Absent Member.
Absent Member.

Re: Backup trouble - tsafs won't load

Hi there mathiasbraun,

Yes to the OES 2015 SP1, and yes I was referring to GroupWise 2014 R2. You were right about the iManager plugins, tsafs is loading without complaint now. I'll test the backups tomorrow, our headquarters does them remotely from offsite, but I'm pretty sure it will work. Vielen dank für ihre Hilfe!
0 Likes
Knowledge Partner
Knowledge Partner

Re: Backup trouble - tsafs won't load

Glad it's working now. Don't forget the
--EnableGW
statement in smdrd.conf. Historically there's been a dedicated TSA module for GW stuff which was called "TSAFSGW". This has been deprecated ages ago, its functionality slipped into "TSAFS". The latter (along with proper config) is still (and likely will ever be) needed for consistent GW backups, regardless of GW's version.
The opinions expressed above are the personal opinions of the authors, not of Micro Focus. By using this site, you accept the Terms of Use and Rules of Participation. Certain versions of content ("Material") accessible here may contain branding from Hewlett-Packard Company (now HP Inc.) and Hewlett Packard Enterprise Company. As of September 1, 2017, the Material is now offered by Micro Focus, a separately owned and operated company. Any reference to the HP and Hewlett Packard Enterprise/HPE marks is historical in nature, and the HP and Hewlett Packard Enterprise/HPE marks are the property of their respective owners.